HIP-4 outcome volume by month
curl --request GET \
--url https://api.ironflow.sh/v1/predictions/historyimport requests
url = "https://api.ironflow.sh/v1/predictions/history"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.ironflow.sh/v1/predictions/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ironflow.sh/v1/predictions/history",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.ironflow.sh/v1/predictions/history"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.ironflow.sh/v1/predictions/history")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.ironflow.sh/v1/predictions/history")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"months": [
{
"month": "2026-08",
"volume_usd": 11970447,
"trades": 301237,
"partial": false
},
{
"month": "2026-10",
"volume_usd": 76556531,
"trades": 3663309,
"partial": false
}
],
"volume_7d_usd": 48000000,
"as_of": "2026-11-08T10:00:00Z",
"computed_at": 1794137500
}Market Data
Hyperliquid HIP-4 outcome volume by month
GET /v1/predictions/history returns traded volume on Hyperliquid’s HIP-4 outcome markets by calendar month since August 2026, plus the last 7 days.
GET
/
v1
/
predictions
/
history
HIP-4 outcome volume by month
curl --request GET \
--url https://api.ironflow.sh/v1/predictions/historyimport requests
url = "https://api.ironflow.sh/v1/predictions/history"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.ironflow.sh/v1/predictions/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ironflow.sh/v1/predictions/history",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.ironflow.sh/v1/predictions/history"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.ironflow.sh/v1/predictions/history")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.ironflow.sh/v1/predictions/history")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"months": [
{
"month": "2026-08",
"volume_usd": 11970447,
"trades": 301237,
"partial": false
},
{
"month": "2026-10",
"volume_usd": 76556531,
"trades": 3663309,
"partial": false
}
],
"volume_7d_usd": 48000000,
"as_of": "2026-11-08T10:00:00Z",
"computed_at": 1794137500
}